## talloc 2.0.7

=== wscript ===
#!/usr/bin/env python

APPNAME = 'talloc'
VERSION = '2.0.7'


blddir = 'bin'

import Logs
import os, sys

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import sys
sys.path.insert(0, srcdir+"/buildtools/wafsamba")
import wafsamba, samba_dist, Options

# setup what directories to put in a tarball
samba_dist.DIST_DIRS('lib/talloc:. lib/replace:lib/replace buildtools:buildtools')


def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('talloc', noextension='talloc')
    opt.RECURSE('lib/replace')
    opt.add_option('--enable-talloc-compat1',
                   help=("Build talloc 1.x.x compat library [False]"),
                   action="store_true", dest='TALLOC_COMPAT1', default=False)
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--disable-python',
                       help=("disable the pytalloc module"),
                       action="store_true", dest='disable_python', default=False)


def configure(conf):
    conf.RECURSE('lib/replace')

    conf.env.standalone_talloc = conf.IN_LAUNCH_DIR()

    conf.env.disable_python = getattr(Options.options, 'disable_python', False)

    if not conf.env.standalone_talloc:
        if conf.CHECK_BUNDLED_SYSTEM('talloc', minversion=VERSION,
                                     implied_deps='replace'):
            conf.define('USING_SYSTEM_TALLOC', 1)
        if conf.CHECK_BUNDLED_SYSTEM('pytalloc-util', minversion=VERSION,
                                     implied_deps='talloc replace'):
            conf.define('USING_SYSTEM_PYTALLOC_UTIL', 1)

    conf.env.TALLOC_COMPAT1 = Options.options.TALLOC_COMPAT1

    conf.CHECK_XSLTPROC_MANPAGES()

    if not conf.env.disable_python:
        # also disable if we don't have the python libs installed
        conf.find_program('python', var='PYTHON')
        conf.check_tool('python')
        conf.check_python_version((2,4,2))
        conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
        if not conf.env.HAVE_PYTHON_H:
            Logs.warn('Disabling pytalloc-util as python devel libs not found')
            conf.env.disable_python = True

    conf.SAMBA_CONFIG_H()


def build(bld):
    bld.RECURSE('lib/replace')

    if bld.env.standalone_talloc:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        bld.env.TALLOC_VERSION = VERSION
        private_library = False

        # should we also install the symlink to libtalloc1.so here?
        bld.SAMBA_LIBRARY('talloc-compat1-%s' % (VERSION),
                          'compat/talloc_compat1.c',
                          public_deps='talloc',
                          soname='libtalloc.so.1',
                          pc_files=[],
                          public_headers=[],
                          enabled=bld.env.TALLOC_COMPAT1)
    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TALLOC'):

        bld.SAMBA_LIBRARY('talloc',
                          'talloc.c',
                          deps='replace',
                          abi_directory='ABI',
                          abi_match='talloc* _talloc*',
                          hide_symbols=True,
                          vnum=VERSION,
                          public_headers='talloc.h',
                          pc_files='talloc.pc',
                          public_headers_install=not private_library,
                          private_library=private_library,
                          manpages='talloc.3')

    if not bld.CONFIG_SET('USING_SYSTEM_PYTALLOC_UTIL') and not bld.env.disable_python:
        bld.SAMBA_LIBRARY('pytalloc-util',
            source='pytalloc_util.c',
            public_deps='talloc',
            pyext=True,
            vnum=VERSION,
            hide_symbols=True,
            abi_directory='ABI',
            abi_match='pytalloc_*',
            private_library=private_library,
            public_headers='pytalloc.h',
            pc_files='pytalloc-util.pc'
            )
        bld.SAMBA_PYTHON('pytalloc',
                         'pytalloc.c',
                         deps='talloc pytalloc-util',
                         enabled=True,
                         realname='talloc.so')

    if not getattr(bld.env, '_SAMBA_BUILD_', 0) == 4:
        # s4 already has the talloc testsuite builtin to smbtorture
        bld.SAMBA_BINARY('talloc_testsuite',
                         'testsuite_main.c testsuite.c',
                         deps='talloc',
                         install=False)


def test(ctx):
    '''run talloc testsuite'''
    import Utils, samba_utils
    cmd = os.path.join(Utils.g_module.blddir, 'talloc_testsuite')
    ret = samba_utils.RUN_COMMAND(cmd)
    print("testsuite returned %d" % ret)
    sys.exit(ret)

def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)


def pydoctor(ctx):
    '''build python apidocs'''
    cmd='PYTHONPATH=bin/python pydoctor --project-name=talloc --project-url=http://talloc.samba.org/ --make-html --docformat=restructuredtext --introspect-c-modules --add-module bin/python/talloc.*'
    print("Running: %s" % cmd)
    os.system(cmd)

## talloc 2.0.1

=== debian/changelog ===
talloc (2.0.1-1) unstable; urgency=low

  * New upstream release
  * Switch to source format 3.0 (quilt)
  * Add myself to uploaders

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Dec 2009 22:36:31 +0100

talloc (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Sep 2009 23:03:06 +0200

talloc (1.3.1-2) unstable; urgency=low

  * Bump shlibs and use symbol versioning. Closes: #536322
  * Bump standards version to 3.8.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 11:24:04 +0200

talloc (1.3.1-1) unstable; urgency=low

  * New upstream release.
   + Fixes build on non-Linux GNU systems. (Closes: #526069)

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 17 Jun 2009 17:07:03 +0200

talloc (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 May 2009 03:05:22 +0200

talloc (1.2.1-1) unstable; urgency=low

  [ Steve Langasek ]
  * Bump the shlibs in libtalloc1, since previous versions of this package
    have been in the wild (including in an Ubuntu release) with a smaller
    set of exported symbols than the current version - including talloc_pool
    which is used by samba.

  [ Jelmer Vernooij ]
  * Add dummy watch file explaining how to obtain an upstream tarball.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 14 Mar 2009 18:48:57 +0100

talloc (1.2.0~git20080616-1) unstable; urgency=low

  * New upstream snapshot.
  * Fix symlink to library in package.
  * Update license (now LGPLv3) in copyright file.
  * Bump standards version to 3.8.0.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 17 Jun 2008 03:02:55 +0200

talloc (1.2.0~git20080520-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 20 May 2008 01:40:13 +0200

talloc (1.1.0~svn26291-1) unstable; urgency=low

  * Support building twice in a row. (Closes: #442741)
  * Install SWIG file.
  * Upload to unstable.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 30 Nov 2007 18:49:19 +0100

talloc (1.1.0~svn26116-1) experimental; urgency=low

  * Set homepage field.
  * New upstream snapshot.
  * Allow Debian maintainer uploads.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 25 Nov 2007 18:02:48 +0000

talloc (1.0.1-2) unstable; urgency=low

  * Make libtalloc-dev depend on libtalloc1. (Closes: #426444)

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 25 Nov 2007 16:30:00 +0000

talloc (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 26 May 2007 18:58:31 +0200

talloc (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #356088)

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 30 Apr 2007 02:34:53 +0200

=== debian/control ===
Source: talloc
Section: devel
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Homepage: http://talloc.samba.org/
Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/talloc
DM-Upload-Allowed: yes

Package: libtalloc2
Architecture: any
Depends: ${shlibs:Depends}
Section: libs
Description: hierarchical pool based memory allocator
 A hierarchical pool based memory allocator with destructors. It uses 
 reference counting to determine when memory should be freed.

Package: libtalloc-dev
Section: libdevel
Depends: libtalloc2 (=${binary:Version})
Architecture: any
Description: hierarchical pool based memory allocator - development files
 A hierarchical pool based memory allocator with destructors. It uses 
 reference counting to determine when memory should be freed.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

DESTDIR=$(CURDIR)/debian/tmp

conf_args = --prefix=/usr

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
conf_args += --build $(DEB_BUILD_GNU_TYPE)
else
conf_args += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure $(conf_args)
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE) all
ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
	./testsuite
endif
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir -p $(DESTDIR)`swig -swiglib`
	$(MAKE) install DESTDIR=$(DESTDIR)
	ln -s libtalloc.so.2.* $(DESTDIR)/usr/lib/libtalloc.so.2
	ln -s libtalloc.so.2.* $(DESTDIR)/usr/lib/libtalloc.so
	dh_install --list-missing --fail-missing --sourcedir=$(DESTDIR)

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs -- -c4
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary install configure

## talloc 2.0.5

=== debian/changelog ===
talloc (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 Jan 2011 19:32:51 -0800

talloc (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Dec 2010 16:32:33 +0100

talloc (2.0.4~git20101213-1) experimental; urgency=low

  * New upstream snapshot.
   + Introduces symbol versioning.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 14 Dec 2010 00:59:17 +0100

talloc (2.0.4~git20101205-1) experimental; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 05 Dec 2010 15:19:14 +0100

talloc (2.0.3~git20101101-2) experimental; urgency=low

  * Add dependency on libpytalloc-util2 to libpytalloc-util-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 04 Nov 2010 21:56:22 +0100

talloc (2.0.3~git20101101-1) experimental; urgency=low

  * New upstream snapshot.
   + Fixes example include line in manual page. Closes: #588393
   + Removes manual page mention of deprecated talloc_append_string,
     consistent with other deprecated functionality. Closes: #601205
   + Add new binary packages libpytalloc-util2 and libpytalloc-util-dev.
  * Bump standards version to 3.9.1 (no changes).
  * Support nocheck in DEB_BUILD_OPTIONS rather than notest (per policy
    4.9.1).

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 01 Nov 2010 19:06:20 +0100

talloc (2.0.3~git20100517-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 21 May 2010 00:22:17 +0200

talloc (2.0.3~git20100506-2) experimental; urgency=low

  * Add dependency on python for waf. Closes: #580743

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 13 May 2010 18:33:54 +0200

talloc (2.0.3~git20100506-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.4.
  * Update upstream location information in debian/copyright. Closes:
    #561529
  * Add missing dependencies on ${misc:Depends}.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 06 May 2010 16:39:57 +0200

talloc (1.4.0~git20090718-1) experimental; urgency=low

  * New upstream snapshot, required for Samba 4.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 12:14:50 +0200

=== debian/control ===
Source: talloc
Section: devel
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Homepage: http://talloc.samba.org/
Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python, python-dev, python-support
Standards-Version: 3.9.1
Vcs-Bzr: http://bzr.debian.org/pkg-samba/talloc/unstable

Package: libtalloc2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: hierarchical pool based memory allocator
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.

Package: libtalloc-dev
Section: libdevel
Depends: libtalloc2 (=${binary:Version}), ${misc:Depends}, pkg-config
Architecture: any
Description: hierarchical pool based memory allocator - development files
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the development files.

Package: python-talloc
Architecture: any
Section: python
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: hierarchical pool based memory allocator - Python bindings
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the Python bindings.

Package: python-talloc-dev
Architecture: all
Section: libdevel
Depends: python-talloc (>= ${source:Version}), ${misc:Depends}, pkg-config
Description: talloc Python bindings - development files
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the development files for the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp

conf_args = --prefix=/usr --disable-rpath-install --disable-rpath --bundled-libraries=NONE
conf_args += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)

configure: configure-stamp
configure-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure $(conf_args)
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE) all
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LD_LIBRARY_PATH=bin/shared ./bin/talloc_testsuite
endif
	touch build-stamp

get-orig-source:
	./debian/build-orig.sh

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f buildtools/wafsamba/*.pyc
	rm -rf buildtools/bin/.waf*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir -p $(DESTDIR)`swig -swiglib`
	$(MAKE) install DESTDIR=$(DESTDIR)
	# Waf really should be doing this:
	ar -rc libtalloc.a bin/default/talloc_*.o
	cp libtalloc.a $(DESTDIR)/usr/lib
	dh_install --list-missing --fail-missing --sourcedir=$(DESTDIR)

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs -- -c4
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary install configure

=== debian/watch ===
version=3
ftp://ftp.samba.org/pub/talloc/talloc-(.+).tar.gz

## talloc 2.0.7

=== debian/changelog ===
talloc (2.0.7-3) unstable; urgency=low

  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 28 Sep 2011 11:06:58 +0200

talloc (2.0.7-2) unstable; urgency=low

  * Build against default system Python and explicitly use dh_python2.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 Sep 2011 19:14:47 +0200

talloc (2.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 16 Sep 2011 15:11:44 +0200

talloc (2.0.6-2) unstable; urgency=low

  * Cherry-pick ABI for pytalloc.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 18 Aug 2011 19:28:03 +0200

talloc (2.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 09 Aug 2011 02:56:17 +0200

talloc (2.0.5-3) unstable; urgency=low

  * Switch to new style debhelper.
  * Upload to unstable.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Jul 2011 16:22:52 +0200

talloc (2.0.5-2) experimental; urgency=low

  * Switch to dh_python2.
  * Add multi-arch support to libtalloc1.
  * Add debug packages libtalloc2-dbg and python-talloc-dbg.
  * Bump standards version to 3.9.2 (no changes).
  * Fix license mentioned in manual page. Closes: #623879

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 20:35:13 +0200

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

conf_args = --prefix=/usr --disable-rpath-install --disable-rpath --bundled-libraries=NONE
conf_args += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
conf_args += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

export PYTHON="$(shell which `pyversions -d`)"
export PYTHON_CONFIG=$(PYTHON)-config

%:
	dh $* --with python2 

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_auto_configure:
	LDFLAGS="-Wl,--as-needed" PYTHON="$(PYTHON)" PYTHON_CONFIG="$(PYTHON_CONFIG)" CFLAGS="$(CFLAGS)" ./configure $(conf_args)

override_dh_auto_build:
	$(MAKE) all

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LD_LIBRARY_PATH=bin/shared ./bin/talloc_testsuite
endif

get-orig-source:
	./debian/build-orig.sh

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f buildtools/wafsamba/*.pyc
	rm -rf buildtools/bin/.waf*

override_dh_auto_install:
	mkdir -p $(DESTDIR)`swig -swiglib`
	$(MAKE) install DESTDIR=$(DESTDIR)
	# Waf really should be doing this:
	ar -rc libtalloc.a bin/default/talloc_*.o
	cp libtalloc.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_strip:
	dh_strip -plibtalloc2 --dbg-package=libtalloc2-dbg
	dh_strip -ppython-talloc --dbg-package=python-talloc-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## talloc 2.0.7+git20120207

=== lib/replace/wscript ===
#!/usr/bin/env python

APPNAME = 'libreplace'
VERSION = '1.2.1'

blddir = 'bin'

import sys, os, Utils

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist
import Options, os, preproc

samba_dist.DIST_DIRS('lib/replace buildtools:buildtools')

def set_options(opt):
    opt.BUILTIN_DEFAULT('NONE')
    opt.PRIVATE_EXTENSION_DEFAULT('')
    opt.RECURSE('buildtools/wafsamba')

@wafsamba.runonce
def configure(conf):
    conf.RECURSE('buildtools/wafsamba')

    conf.env.standalone_replace = conf.IN_LAUNCH_DIR()

    conf.DEFINE('HAVE_LIBREPLACE', 1)
    conf.DEFINE('LIBREPLACE_NETWORK_CHECKS', 1)

    # on Tru64 certain features are only available with _OSF_SOURCE set to 1
    # and _XOPEN_SOURCE set to 600
    if conf.env['SYSTEM_UNAME_SYSNAME'] == 'OSF1':
        conf.DEFINE('_OSF_SOURCE', 1, add_to_cflags=True)
        conf.DEFINE('_XOPEN_SOURCE', 600, add_to_cflags=True)

    conf.CHECK_HEADERS('linux/types.h crypt.h locale.h acl/libacl.h compat.h')
    conf.CHECK_HEADERS('acl/libacl.h attr/xattr.h compat.h ctype.h dustat.h')
    conf.CHECK_HEADERS('fcntl.h fnmatch.h glob.h history.h krb5.h langinfo.h')
    conf.CHECK_HEADERS('libaio.h locale.h ndir.h pwd.h')
    conf.CHECK_HEADERS('shadow.h sys/acl.h')
    conf.CHECK_HEADERS('sys/attributes.h sys/capability.h sys/dir.h sys/epoll.h')
    conf.CHECK_HEADERS('sys/fcntl.h sys/filio.h sys/filsys.h sys/fs/s5param.h sys/fs/vx/quota.h')
    conf.CHECK_HEADERS('sys/id.h sys/ioctl.h sys/ipc.h sys/mman.h sys/mode.h sys/ndir.h sys/priv.h')
    conf.CHECK_HEADERS('sys/resource.h sys/security.h sys/shm.h sys/statfs.h sys/statvfs.h sys/termio.h')
    conf.CHECK_HEADERS('sys/vfs.h sys/xattr.h termio.h termios.h sys/file.h')
    conf.CHECK_HEADERS('sys/wait.h sys/stat.h malloc.h grp.h')
    conf.CHECK_HEADERS('sys/select.h setjmp.h utime.h sys/syslog.h syslog.h')
    conf.CHECK_HEADERS('stdarg.h vararg.h sys/mount.h mntent.h')
    conf.CHECK_HEADERS('stropts.h unix.h string.h strings.h sys/param.h limits.h')
    conf.CHECK_HEADERS('''sys/socket.h netinet/in.h netdb.h arpa/inet.h netinet/in_systm.h
                          netinet/ip.h netinet/tcp.h netinet/in_ip.h
                          sys/sockio.h sys/un.h''', together=True)
    conf.CHECK_HEADERS('sys/uio.h ifaddrs.h direct.h dirent.h')
    conf.CHECK_HEADERS('windows.h winsock2.h ws2tcpip.h')
    conf.CHECK_HEADERS('libintl.h errno.h')
    conf.CHECK_HEADERS('gcrypt.h getopt.h iconv.h')
    conf.CHECK_HEADERS('sys/inotify.h memory.h nss.h sasl/sasl.h')
    conf.CHECK_HEADERS('security/pam_appl.h sys/inotify.h zlib.h asm/unistd.h')
    conf.CHECK_HEADERS('aio.h sys/unistd.h rpc/rpc.h rpc/nettype.h alloca.h float.h')

    conf.CHECK_HEADERS('rpcsvc/nis.h rpcsvc/ypclnt.h sys/prctl.h sys/sysctl.h')
    conf.CHECK_HEADERS('sys/fileio.h sys/filesys.h sys/dustat.h sys/sysmacros.h')
    conf.CHECK_HEADERS('xfs/libxfs.h netgroup.h rpcsvc/yp_prot.h')
    conf.CHECK_HEADERS('valgrind.h valgrind/valgrind.h valgrind/memcheck.h')
    conf.CHECK_HEADERS('nss_common.h nsswitch.h ns_api.h')
    conf.CHECK_HEADERS('sys/extattr.h sys/ea.h sys/proplist.h sys/cdefs.h')
    conf.CHECK_HEADERS('utmp.h utmpx.h lastlog.h')
    conf.CHECK_HEADERS('syscall.h sys/syscall.h inttypes.h')

    conf.CHECK_TYPES('"long long" intptr_t uintptr_t ptrdiff_t comparison_fn_t')
    conf.CHECK_TYPE('_Bool', define='HAVE__Bool')
    conf.CHECK_TYPE('bool', define='HAVE_BOOL')

    conf.CHECK_TYPE('int8_t', 'char')
    conf.CHECK_TYPE('uint8_t', 'unsigned char')
    conf.CHECK_TYPE('int16_t', 'short')
    conf.CHECK_TYPE('uint16_t', 'unsigned short')
    conf.CHECK_TYPE('int32_t', 'int')
    conf.CHECK_TYPE('uint32_t', 'unsigned')
    conf.CHECK_TYPE('int64_t', 'long long')
    conf.CHECK_TYPE('uint64_t', 'unsigned long long')
    conf.CHECK_TYPE('size_t', 'unsigned int')
    conf.CHECK_TYPE('ssize_t', 'int')
    conf.CHECK_TYPE('ino_t', 'unsigned')
    conf.CHECK_TYPE('loff_t', 'off_t')
    conf.CHECK_TYPE('offset_t', 'loff_t')
    conf.CHECK_TYPE('volatile int', define='HAVE_VOLATILE')
    conf.CHECK_TYPE('uint_t', 'unsigned int')

    conf.CHECK_SIZEOF('bool char int "long long" long short size_t ssize_t')
    conf.CHECK_SIZEOF('int8_t uint8_t int16_t uint16_t int32_t uint32_t int64_t uint64_t')
    conf.CHECK_SIZEOF('void*', define='SIZEOF_VOID_P')
    conf.CHECK_SIZEOF('off_t dev_t ino_t time_t')

    conf.CHECK_TYPES('socklen_t', headers='sys/socket.h')
    conf.CHECK_TYPE_IN('struct ifaddrs', 'ifaddrs.h')
    conf.CHECK_TYPE_IN('struct addrinfo', 'netdb.h')
    conf.CHECK_TYPE_IN('struct sockaddr', 'sys/socket.h')
    conf.CHECK_CODE('struct sockaddr_in6 x', define='HAVE_STRUCT_SOCKADDR_IN6',
                    headers='sys/socket.h netdb.h netinet/in.h')
    conf.CHECK_TYPE_IN('struct sockaddr_storage', 'sys/socket.h')
    conf.CHECK_TYPE_IN('sa_family_t', 'sys/socket.h')

    conf.CHECK_TYPE_IN('sig_atomic_t', 'signal.h', define='HAVE_SIG_ATOMIC_T_TYPE')

    conf.CHECK_FUNCS_IN('''inet_ntoa inet_aton inet_ntop inet_pton connect gethostbyname
                           getaddrinfo getnameinfo freeaddrinfo gai_strerror socketpair''',
                        'socket nsl', checklibc=True,
                        headers='sys/socket.h netinet/in.h arpa/inet.h netdb.h')

    # Some old Linux systems have broken header files and
    # miss the IPV6_V6ONLY define in netinet/in.h,
    # but have it in linux/in6.h.
    # We can't include both files so we just check if the value
    # if defined and do the replacement in system/network.h
    if not conf.CHECK_VARIABLE('IPV6_V6ONLY',
                               headers='sys/socket.h netdb.h netinet/in.h'):
        conf.CHECK_CODE('''
                        #include <linux/in6.h>
                        #if (IPV6_V6ONLY != 26)
                        #error no IPV6_V6ONLY support on linux
                        #endif
                        int main(void) { return IPV6_V6ONLY; }
                        ''',
                        define='HAVE_LINUX_IPV6_V6ONLY_26',
                        addmain=False,
                        msg='Checking for IPV6_V6ONLY in linux/in6.h',
                        local_include=False)

    conf.CHECK_CODE('''
                       struct sockaddr_storage sa_store;
                       struct addrinfo *ai = NULL;
                       struct in6_addr in6addr;
                       int idx = if_nametoindex("iface1");
                       int s = socket(AF_INET6, SOCK_STREAM, 0);
                       int ret = getaddrinfo(NULL, NULL, NULL, &ai);
                       if (ret != 0) {
                           const char *es = gai_strerror(ret);
                       }
                       freeaddrinfo(ai);
                       {
                          int val = 1;
                          #ifdef HAVE_LINUX_IPV6_V6ONLY_26
                          #define IPV6_V6ONLY 26
                          #endif
                          ret = setsockopt(s, IPPROTO_IPV6, IPV6_V6ONLY,
                                           (const void *)&val, sizeof(val));
                       }
                       ''',
                    define='HAVE_IPV6',
                    lib='nsl socket',
                    headers='sys/socket.h netdb.h netinet/in.h')

    # these may be builtins, so we need the link=False strategy
    conf.CHECK_FUNCS('strdup memmem printf memset memcpy memmove strcpy strncpy bzero', link=False)

    conf.CHECK_FUNCS('shl_load shl_unload shl_findsym')
    conf.CHECK_FUNCS('pipe strftime srandom random srand rand usleep setbuffer')
    conf.CHECK_FUNCS('lstat getpgrp utime utimes seteuid setreuid setresuid setegid')
    conf.CHECK_FUNCS('setregid setresgid chroot strerror vsyslog setlinebuf mktime')
    conf.CHECK_FUNCS('ftruncate chsize rename waitpid wait4')
    conf.CHECK_FUNCS('initgroups pread pwrite strndup strcasestr')
    conf.CHECK_FUNCS('strtok_r mkdtemp dup2 dprintf vdprintf isatty chown lchown')
    conf.CHECK_FUNCS('link readlink symlink realpath snprintf vsnprintf')
    conf.CHECK_FUNCS('asprintf vasprintf setenv unsetenv strnlen strtoull __strtoull')
    conf.CHECK_FUNCS('strtouq strtoll __strtoll strtoq')

    # libbsd on some platforms provides strlcpy and strlcat
    if not conf.CHECK_FUNCS('strlcpy strlcat'):
        conf.CHECK_FUNCS_IN('strlcpy strlcat', 'bsd', headers='bsd/string.h',
                checklibc=True)

    #Some OS (ie. freebsd) return EINVAL if the convertion could not be done, it's not what we expect
    #Let's detect those cases
    if conf.CONFIG_SET('HAVE_STRTOLL'):
        conf.CHECK_CODE('''
                        long long nb = strtoll("Text", NULL, 0);
                        if (errno == EINVAL) {
                            return 0;
                        } else {
                            return 1;
                        }
                        ''',
                        msg="Checking correct behavior of strtoll",
                        headers = 'errno.h',
                        execute = True,
                        define_ret = True,
                        define = 'HAVE_BSD_STRTOLL',
                        )
    conf.CHECK_FUNCS('if_nametoindex strerror_r')
    conf.CHECK_FUNCS('getdirentries getdents syslog')
    conf.CHECK_FUNCS('gai_strerror get_current_dir_name')
    conf.CHECK_FUNCS('timegm getifaddrs freeifaddrs mmap setgroups setsid')
    conf.CHECK_FUNCS('getgrent_r getgrgid_r getgrnam_r getgrouplist getpagesize')
    conf.CHECK_FUNCS('getpwent_r getpwnam_r getpwuid_r epoll_create')

    conf.CHECK_FUNCS_IN('dlopen dlsym dlerror dlclose', 'dl',
                        checklibc=True, headers='dlfcn.h dl.h')

    conf.CHECK_C_PROTOTYPE('dlopen', 'void *dlopen(const char* filename, unsigned int flags)',
                           define='DLOPEN_TAKES_UNSIGNED_FLAGS', headers='dlfcn.h dl.h')

    if conf.CHECK_FUNCS_IN('fdatasync', 'rt', checklibc=True):
        # some systems are missing the declaration
        conf.CHECK_DECLS('fdatasync')

    if conf.CHECK_FUNCS_IN('clock_gettime', 'rt', checklibc=True):
        for c in ['CLOCK_MONOTONIC', 'CLOCK_PROCESS_CPUTIME_ID', 'CLOCK_REALTIME']:
            conf.CHECK_CODE('''
                #if TIME_WITH_SYS_TIME
                # include <sys/time.h>
                # include <time.h>
                #else
                # if HAVE_SYS_TIME_H
                #  include <sys/time.h>
                # else
                #  include <time.h>
                # endif
                #endif
                clockid_t clk = %s''' % c,
                'HAVE_%s' % c,
                msg='Checking whether the clock_gettime clock ID %s is available' % c)

    conf.CHECK_TYPE('struct timespec', headers='sys/time.h time.h')

    # these headers need to be tested as a group on freebsd
    conf.CHECK_HEADERS(headers='sys/socket.h net/if.h', together=True)
    conf.CHECK_HEADERS(headers='netinet/in.h arpa/nameser.h resolv.h', together=True)
    conf.CHECK_FUNCS_IN('res_search', 'resolv', checklibc=True,
                        headers='netinet/in.h arpa/nameser.h resolv.h')


    if not conf.CHECK_FUNCS_IN('gettext', 'intl', checklibc=True, headers='libintl.h'):
    # Some hosts need lib iconv for linking with lib intl
    # So we try with flags just in case it helps.
        oldflags = conf.env['LDFLAGS_INTL']
        conf.env['LDFLAGS_INTL'] = "-liconv"
        if not conf.CHECK_LIB('intl'):
            conf.env['LDFLAGS_INTL'] = oldflags
        else:
            conf.CHECK_FUNCS_IN('gettext', 'intl', checklibc=True, headers='libintl.h')

    conf.CHECK_FUNCS_IN('dgettext gettext', 'intl', headers='libintl.h')
    conf.CHECK_FUNCS_IN('pthread_create', 'pthread', checklibc=True, headers='pthread.h')

    conf.CHECK_FUNCS_IN('crypt', 'crypt', checklibc=True)

=== debian/changelog ===
talloc (2.0.7+git20120207-1ubuntu1) raring; urgency=low

  * Fix FTBFS: use shebang for python2.x-config instead of assuming that it is
    a Python script (LP: #1108983). 

 -- Robie Basak <robie.basak@canonical.com>  Tue, 29 Jan 2013 15:44:57 +0000

talloc (2.0.7+git20120207-1) unstable; urgency=low

  * New upstream snapshot.
   + Unpacks waf source code. Closes: #654508

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 15:46:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,36 @@
 Source: talloc
 Section: devel
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>
 Homepage: http://talloc.samba.org/
-Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python, python-dev, python-support
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8.1.3), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python-all (>= 2.6.6-3), python-all-dev (>= 2.6.6-3)
+Standards-Version: 3.9.2
 Vcs-Bzr: http://bzr.debian.org/pkg-samba/talloc/unstable
 
 Package: libtalloc2
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: libs
 Description: hierarchical pool based memory allocator
  A hierarchical pool based memory allocator with destructors. It uses
  reference counting to determine when memory should be freed.
+
+Package: libtalloc2-dbg
+Pre-Depends: ${misc:Pre-Depends}
+Section: debug
+Priority: extra
+Depends: libtalloc2 (= ${binary:Version}), ${misc:Depends}
+Architecture: any
+Recommends: libc6-dbg
+Description: hierarchical pool based memory allocator - debug symbols
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the debug symbols.
 
 Package: libtalloc-dev
 Section: libdevel
@@ -27,9 +43,9 @@
  This package contains the development files.
 
 Package: python-talloc
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Section: python
-XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Description: hierarchical pool based memory allocator - Python bindings
@@ -38,10 +54,23 @@
  .
  This package contains the Python bindings.
 
+Package: python-talloc-dbg
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Section: debug
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-talloc (= ${binary:Version})
+Recommends: python-dbg, libtalloc2-dbg
+Priority: extra
+Description: hierarchical pool based memory allocator - Python debug extension
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the Python debug extension.
+
 Package: python-talloc-dev
-Architecture: all
+Architecture: any
 Section: libdevel
-Depends: python-talloc (>= ${source:Version}), ${misc:Depends}, pkg-config
+Depends: python-talloc (= ${binary:Version}), ${misc:Depends}, pkg-config
 Description: talloc Python bindings - development files
  A hierarchical pool based memory allocator with destructors. It uses
  reference counting to determine when memory should be freed.

## talloc 2.0.8

=== debian/changelog ===
talloc (2.0.8-0.1) unstable; urgency=low

  [ Andrew Bartlett ]
  * Non-maintainer upload with maintainer's agreement.
  * New upstream release.
   + Add 08_waf_python_config to cope with python-config no longer
     being a script.

 -- Christian Perrier <bubulle@debian.org>  Sat, 16 Feb 2013 12:44:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: talloc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>
 Homepage: http://talloc.samba.org/
 Build-Depends: debhelper (>= 8.1.3), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python-all (>= 2.6.6-3), python-all-dev (>= 2.6.6-3)

=== debian/rules ===
--- 
+++ 
@@ -38,13 +38,14 @@
 	LD_LIBRARY_PATH=bin/shared ./bin/talloc_testsuite
 endif
 
-get-orig-source:
+get-packaged-orig-source:
 	./debian/build-orig.sh
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f buildtools/wafsamba/*.pyc
-	rm -rf buildtools/bin/.waf*
+	rm -f buildtools/wafsamba/*.pyc \
+		buildtools/wafadmin/*.pyc \
+		buildtools/wafadmin/Tools/*.pyc
 
 override_dh_auto_install:
 	mkdir -p $(DESTDIR)`swig -swiglib`
